IDEA #655 has Problems with JSP compiling

Hi, all,

I have madsive problems to compile JSPs under JDK 1.3.1.
IDEA seem to check the JSP imports just with its own
JDK 1.4.0. The class javax.sql.ConnectionPool changed
with this JDK, and so my ConnectionPool implementation
is not valid for IDEA.

thanx for listening,

Bob

评论操作 固定链接

Hi Bob,

Yes, we are aware of this limination: during the validation IDEA configures
jasper to use javac from its own JDK.
http://www.intellij.net/tracker/idea/viewSCR?publicId=5246

--

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"


"Bob Hope" <BobHope1975@lycos.de> wrote in message
news:3DA2E12F.4E63DBB1@lycos.de...

Hi, all,

>

I have madsive problems to compile JSPs under JDK 1.3.1.
IDEA seem to check the JSP imports just with its own
JDK 1.4.0. The class javax.sql.ConnectionPool changed
with this JDK, and so my ConnectionPool implementation
is not valid for IDEA.

>

thanx for listening,

>

Bob



0
评论操作 固定链接

Could you please describe your problem in more detail - how can we reproduce
the problem here?

--

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"

"Bob Hope" <BobHope1975@lycos.de> wrote in message
news:3DA2E12F.4E63DBB1@lycos.de...

Hi, all,

>

I have madsive problems to compile JSPs under JDK 1.3.1.
IDEA seem to check the JSP imports just with its own
JDK 1.4.0. The class javax.sql.ConnectionPool changed
with this JDK, and so my ConnectionPool implementation
is not valid for IDEA.

>

thanx for listening,

>

Bob



0

请先登录再写评论。